/* You can add global styles to this file, and also import other style files */
//@import "~@angular/material/prebuilt-themes/pink-bluegrey.css";
//@import "~@angular/material/prebuilt-themes/indigo-pink.css";
//@import "~@angular/material/prebuilt-themes/deeppurple-amber.css";
//@import "~@angular/material/prebuilt-themes/purple-green.css";
@import "~assets/scss/variables";
@import "~assets/scss/irregotheme";

body {
    margin: 0;
    padding: 0;
    background: url(/assets/images/bkg-green.jpg);
    background-size: cover;
}


hr {
    margin-top: 1rem;
    margin-bottom: 1rem;
    border: 0;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.mat-drawer-container {
    background-color: rgba(mat-color($irregoGrey, 100), .3);
}

.mat-sidenav {
    background-color: mat-color($irregoGrey, 100);
    //color: rgba(0, 0, 0, 0.67);
    .mat-nav-list .mat-list-item {
        //color: rgba(0, 0, 0, 0.67);
        color: mat-color($irregoBlueGrey, 700);
    }
}

.mat-table {
    background-color: mat-color($irregoGrey, 100);
    .mat-row {
        &.linkable {
            cursor: pointer;
        }
    }
    .mat-cell {
        color: mat-color($irregoBlueGrey, 700);
    }
}

.mat-form-field {
    font-size: 16px;
}

.mat-radio-button ~ .mat-radio-button {
    padding-left: 16px;
}

.warn {
    color: mat-color($irrego-warn)
}